#!/usr/bin/python
from distutils.core import setup, Extension

main = Extension(	'pyrandr', 
			define_macros = [('_LINUX',None)],
			libraries = ['gtk-x11-2.0', 'gdk-x11-2.0', 'atk-1.0', 'gdk_pixbuf-2.0', 'm', 'pangocairo-1.0', 'fontconfig', 'Xinerama', 'Xi', 'Xrandr', 'Xext', 'Xcursor', 'Xfixes', 'pango-1.0', 'cairo', 'Xrender', 'X11', 'gobject-2.0', 'gmodule-2.0', 'dl', 'glib-2.0'],
			include_dirs = ['/usr/include/gtk-2.0', '/usr/lib/gtk-2.0/include', '/usr/include/atk-1.0', '/usr/include/cairo', '/usr/include/pango-1.0', '/usr/include/glib-2.0', '/usr/lib/glib-2.0/include'],
			sources = ['pyrandr.cpp'],
			extra_compile_args = [])

setup(	name = "pyrandr",
	version = "0.3",
	description = "Bindings to the X Resize and Rotate functions.",
	ext_modules = [main])
